<?php

include '../system/sys.php';
include '../system/funcs.php';

if (!isset ($us)){    
        header ('location: /');
        exit;
}

switch ($_GET['mod']) {

        default:

        H ('Личный кабинет');
        echo '<div class="panell"><table width="100%" cellpadding="0" cellspacing="0"><tr>';
                                echo '<td width="25%" align="center"><a href="/kab"><img src="/images/menu/upanel.png"></a></td>';
                                echo '<td width="25%" align="center"><a href="/mail.php"><img src="/images/menu/message.png"> ' . ($n_m != 0 ? '<span class="coun">+' . $n_m . '</span>' : '') . '</a></td>';
                                echo '<td width="25%" align="center"><a href="/action.php"><img src="/images/menu/lenta.png"> ' . ($n_a != 0 ? '<span class="coun">+' . $n_a . '</span>' : '') . '</a></td>';
                                echo '<td width="25%" align="center"><a href="/?exit"><img src="/images/menu/logout.png"></a></td>';
                                echo '</tr></table></div>';
        // 
        if ($g_n != 0) {
                while ($news = $query -> fetch ()) {
                        echo '<div class="list1"><img src="" alt=""/> <a href="/gazeta.php?mod=read&id=' . $news['id'] . '&r=' . $news['id_r'] . '">' . $news['name'] . '</a> (' . datef ( $news['t'] ) . ')</div>';
                }
        }
        // 
echo '<div class="menu"> Здравствуйте '.$us['nick'].'</div>';
echo '<div class="raz"><img src="/images/menu/user.png" alt="*" style="width:16px;height:16px;"/> <font color=green><b>Ваш ник</b>: </font><font color=orange><b> ' .$us['nick'] . ' </b></font> | <img src="/images/menu/refresh.gif" alt="*" style="width:16px;height:16px;"/> <a href="/bill/nick.php">Сменить ник </a></div>
<div class="raz"><img src="/images/menu/rating.png" alt="*"/> <font color=green><b>Ваш рейтинг</b>: </font><font color=red><b>' .$us['reit'] . ' </b></font></div>
<div class="raz"><img src="/images/menu/coins.png" alt="*"/> <font color=green><b>Ваш баланс</b>: </font><font color=Gold><b> '.$us['money'].' </b></font><font color=green><b>руб. </b></font>| <img src="/images/menu/addr.png" alt="*"/> <a href="/worldkassa">Пополнить </a></div>
<div class="raz"><img src="/images/menu/billing.png" alt="*"/> <a href="/bill">Биллинг панель</a></div>';
        echo '<div class="menu2">Информация</div>';
        
        $n_m = DB :: $dbs -> querySingle ("SELECT COUNT(*) FROM `msg` WHERE (`us`='" . $us['id'] . "') AND (`see`='1')");
        echo '<div class="list1"><img src="/images/mai5l.png" alt=""/> <a href="/mail.php">Почта</a>' . ($n_m != 0 ? ' (+' . $n_m . ') ' : '' ) . '</div>';
        
        $n_a = DB :: $dbs ->querySingle ("SELECT COUNT(*) FROM `action` WHERE (`us`='" . $us['id'] . "') AND (`see`='1')");
        echo '<div class="list1"><img src="/images/rss.png" alt=""/> <a href="/action.php">Оповещения</a>' . ($n_a != 0 ? ' (+' . $n_a . ') ' : '' ) .'</div>';
        
        // feeds
        echo '<div class="list1"><img src="/images/newspaper.png" alt=""/> <a href="/feeds.php">Новости</a></div>';
        // pth
        echo '<div class="list1"><img src="/images/page_forum_16_ns.png" alt=""/> <a href="pth.php">Наблюдаемые темы</a></div>';
        // faq
        echo '<div class="list1"><img src="/images/gnome_dialog_question.png" alt=""/> <a href="/all/info.php">FAQ</a></div>';
        
        //
        echo '<div class="menu2">Контакты</div>';
        echo '<div class="list1"<img src="/images/" alt="*"/> <a href="/favorit.php">Избранные</a></div>';
        echo '<div class="list1"<img src="/images/stop_2.png" alt="*"/> <a href="/ignor.php">Игнор-лист</a></div>';
        
        
        
        echo '<div class="menu2">Настройки</div>
        <div class="list1">
                <img src="/images/my-account.png" alt="*"/> <a href="/kab/?mod=lich">Личные данные</a>
        </div>
        <div class="list1">
                <img src="/images/057.png" alt=""/> <a href="/ava.php">Аватар</a></div>
        <div class="list1">
                <img src="/images/synaptic.png" alt=""/> <a href="/kab/?mod=pass">Смена пароля</a></div>
        <div class="list1">
                <img src="/images/settings.png" alt=""/> <a href="/kab/?mod=opt">Дополнительные настройки</a></div>
        <div class="menu2">Контакты</div>
        <div class="list1">
                <img src="/design/cod.png" alt="*"/> <a href="/all/bb.php">Бб-коды</a>
        </div>
        <div class="list1">
                <img src="/design/emoc.png" alt="*"/> <a href="/all/smiles_r.php">Смайлы</a>
        </div>
        <div class="list1">
                <img src="/images/chart.png" alt=""/> Статистика: <a href="/kab/stat.php">моя</a> | <a href="/stat.php">общая</a>
        </div>
        ';
        if ($us['level'] != 0) {
echo '<div class="menu2">НЕ для всех</div>';
                echo '<div class="dag1"><a href="/adm"><font color="red">Админ-панель</font></a></div>';
        }
        break;

        case 'pass':
        
        H ('Смена пароля', 'Настройки - ' . $us['nick']);
        
        echo '
        <form action="/kab/?mod=pass&save" method="post">
                <div class="list1">
                        Старый пароль:<br/>
                        <input name="old"/><br/>
                        Новый пароль (a-Z0-9) мин. 8 макс. 64:<br/>
                        <input name="pass"/><br/>
                        Повторите новый пароль:<br/>
                        <input name="pass2"/>
                </div>
                <div class="lst">
                        <input type="submit" value="Сохранить"/>
                </div>
        </form>
        ';
        
        if (isset ($_GET['save'])) {
                $_POST['old']   = htmlspecialchars (addslashes (trim ($_POST['old'])));
                $_POST['pass']  = htmlspecialchars (addslashes (trim ($_POST['pass'])));
                $_POST['pass2'] = htmlspecialchars (addslashes (trim ($_POST['pass2'])));

                    if (empty ($_POST['old'])) {
                        echo '
                        <div class="list1">
                                <b>Вы не ввели старый пароль..</b>
                        </div>
                        ';
                }
                elseif (!preg_match ('/([a-z0-9]{8,64})/i', $_POST['pass'])) {
                        echo '<div class="list1"><b style="color:red;">Неверно указан новый пароль!</b></div>';
                }
                elseif (empty ($_POST['pass2'])) {
                        echo '
                        <div class="list1">
                                <b>Вы не ввели повторный пароль..</b>
                        </div>
                        ';
                }
                elseif (md5 ($_POST['old']) != $us['pass']) {
                        echo '
                        <div class="list1">
                                <b>Старый пароль введен не верно!</b>
                        </div>
                        ';
                }
                elseif ($_POST['pass'] != $_POST['pass2']) {
                        echo '
                        <div class="list1">
                                <b>Пароли не совпадают!</b>
                        </div>
                        ';
                }
                elseif (md5 ($_POST['pass']) == $us['pass']) {
                        echo '
                        <div class="list1">
                                <b>Ошибка!</b>
                        </div>
                        ';
                }
                else {
                        
                        DB :: $dbs -> query ("UPDATE `us` SET `pass`=? WHERE (`id`='" . $us['id'] . "')", array (md5 ($_POST['pass'])));
                        // 
                        setcookie ('pass', md5 ($_POST['pass']), time () + 86400 * 365, '/');
                        
                        echo '
                        <div class="list1">
                                Сохранено!
                        </div>
                        ';
                        
                        header('refresh:1; url=/kab/?mod=pass');
                        
                }
                
        }
        break;

        case 'lich':

        H ('Личные данные', 'Личные данные');
        echo '<form action="/kab/?mod=lich&save" method="post">';
        echo '<div class="list1">';
        echo 'Имя:<br/><input name="name" value="' . $us['name'] . '"><br/>';
        echo 'Дата рождения:<br /><input name="birthday" value="' . $us['birthday'] . '"><br/>';
        echo '<small>Пример: 01.01.1970</small><br/>';
        echo 'Страна:<br/><input name="country" value="' . $us['country'] . '"><br/>';
        echo 'ICQ:<br/><input name="country" value="' . $us['icq'] . '"><br/>';
        echo 'SKYPE:<br/><input name="country" value="' . $us['skype'] . '"><br/>';
        echo 'Сайт:<br /><input name="city" value="' . $us['site'] . '"><br/>';
        echo 'О себе:<br /><textarea name="about">' . $us['about'] . '</textarea><br/>';
        echo '</div>';
        
        /*
        echo '<div class="menu2">Информация</div>';
        echo '<div class="list1">';
        if (empty ($us['wmid'])) {
                echo 'WMID:<br/><input name="wmid" value="' . $us['wmid'] . '">';
        }
        else {
                echo 'WMID <a href="">' . $us['wmid'] . '</a>';
        }
        
        echo '<br/>';
        if (empty ($us['qiwi'])) {
                echo 'QIWI:<br/><input name="qiwi" value="' . $us['qiwi'] . '">';
        }
        else {
                echo 'QIWI <a href="">' . $us['qiwi'] . '</a>';
        }

        echo '<br/>';
        echo '<small>';
        echo '* <b>Внимание!</b> Заполнение пунктов "WMID" и "QIWI" возможно только 1 раз, после чего эти данные будет невозможно изменить!<br/>';
        echo '* В случае если вы введете ошибочные данные обратитесь к администрации проекта!';
        echo '</small>';

        echo '</div>';
        */
        
        echo '<div class="lst"><input type="submit" value="Сохранить"></div>';        
        echo '</form>';
        
        if (isset ($_GET['save'])) {

                $_POST['name']    = htmlspecialchars (addslashes (trim ($_POST['name'])));
                $_POST['city']    = htmlspecialchars (addslashes (trim ($_POST['city'])));
                $_POST['country'] = htmlspecialchars (addslashes (trim ($_POST['country'])));
                  $_POST['icq'] = htmlspecialchars (addslashes (trim ($_POST['icq'])));
                    $_POST['skype'] = htmlspecialchars (addslashes (trim ($_POST['skype'])));
                      $_POST['site'] = htmlspecialchars (addslashes (trim ($_POST['site'])));
                $_POST['about']   = htmlspecialchars (addslashes (trim ($_POST['about'])));

                // 
                $_POST['wmid']    = intval ($_POST['wmid']);
                if ($us['wmid']!=0) {
                        $_POST['wmid'] = $us['wmid'];
                }
                $_POST['qiwi']    = intval ($_POST['wmid']);  
                if ($us['qiwi']!=0) {
                        $_POsT['qiwi'] = $us['qiwi'];
                }

                $_POST['birthday']= htmlspecialchars (addslashes (trim ($_POST['birthday'])));
                if (!preg_match ('/^([0-9]{2,2})\.([0-9]{2,2})\.([0-9]{4,4})$/', $_POST['birthday'], $matches)) {
                        echo '
                        <div class="list1">
                                <b>Неверный формат даты рождения!</b>
                        </div>
                        ';
                }
                else {
                        //
                        if ($matches[1]<1)  {
                                $matches[1] = 01;
                        }
                        if ($matches[1]>31) {
                                $matches[1] = 31;
                        }
                        // 
                        if ($matches[2]<1)  {
                                $matches[2] = 01;
                        }
                        if ($matches[2]>12) {
                                $matches[2] = 12;
                        }
                        
                        if ($matches[3]<1970)
                                            {
                                $matches[3] = 1970;
                        }
                        if ($matches[3]>date ('Y'))
                                            {
                                $matches[3] = date ('Y');
                        }
                        
                        DB :: $dbs -> query ("UPDATE `us` SET `name`=?, `city`=?, `country`=?, `icq`=?, `skype`=?,  `site`=?, `about`=?, `birthday`='" . $matches[1] . "." . $matches[2] . "." . $matches[3] . "', `wmid`='" . $_POST['wmid'] . "', `qiwi`='" . $_POST['qiwi'] . "' WHERE (`id`='" . $us['id'] . "')", array ($_POST['name'], $_POST['city'], $_POST['country'], $_POST['about']));
                        
                        echo '<div class="list1">Сохранено!</div>';
                        
                        header('refresh:1; url=/kab/?mod=lich');
                }
        }
        
        break;

        case 'opt':
        
        H ('Настройки', 'Настройки');
        
        echo '<div class="list1">';
        echo '<form action="/kab/?mod=opt&save" method="post">';
        echo 'Пунктов на странице:<br/><input name="pk" value="' . $us['pk'] . '"/>';
        echo '<input type="submit" value="Сохранить"/>';
        echo '</form>';
        echo '</div>';

        echo '<table cols="3" width="100%" cellpadding="0" cellspacing="0" style="font-size:13px;">';
        echo '<tr>';


        echo '<td class="list1" width="30%"></td>';



        echo '<td class="list1" width="30%"></td>';

        echo '<td class="list1" width="40%">
                        Припрекпление файлов: <a href="/kab/?mod=opt&f">' . ($us['file'] == 1 ? 'выкл' : 'вкл') . '</a>
                </td>
                </tr>
        </table>
        ';
                
        
        if (isset ($_GET['f'])) {
                DB :: $dbs -> query ("UPDATE `us` SET `file`='" . ($us['file'] == 1 ? 0 : 1) . "' WHERE (`id`='" . $us['id'] . "')");
                header ('location: /kab/?mod=opt');
        }
        echo '<div class="list1">';


        if (isset ($_GET['ank'])) {
                DB :: $dbs -> query ("UPDATE `us` SET `ank`='" . ($us['ank'] == 1 ? 0 : 1) . "' WHERE (`id`='" . $us['id'] . "')");
                header ('location: /kab/?mod=opt');
        }
        echo '<a href="/kab/?mod=opt&ank">' . (($us['ank'] == 0) ? 'Показывать' : 'Скрывать'). '</a> анкетные данные<br/>';

        if (isset ($_GET['new'])) {
                DB :: $dbs -> query ("UPDATE `us` SET `new`='" . ($us['new'] == 1 ? 0 : 1) . "' WHERE (`id`='" . $us['id'] . "')");
                header ('location: /kab/?mod=opt');
        }

        echo '<a href="/kab/?mod=opt&new">' . ($us['new'] == 0 ? 'Показывать' : 'Скрывать') . '</a> новости на моей странице<br/>';

        
        echo '<a href="/kab/?mod=opt&panel">' . ($us['panel']==1?'Выключить':'Включить').'</a> верхнюю панель<br/>';
        echo '</div>';
        
        if (isset ($_GET['panel'])) {
                DB :: $dbs -> query ("UPDATE `us` SET `panel`='" . ($us['panel'] == 1 ? 0 : 1) . "' WHERE (`id`='" . $us['id'] . "')");
                header ('location: /kab/?mod=opt');
        }
        break;

}

F ();

?>